View Issue Details

IDProjectCategoryView StatusLast Update
0009938CentOS-7yumpublic2017-01-03 16:19
Reporterrickh 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.2.1511 
Target VersionFixed in Version 
Summary0009938: Updating yum itself overwrites yum-cron config files
DescriptionUpgrading from CentOS 7.1 to 7.2 replaces config files like /etc/yum/yum-cron.conf with default files even if they have been changed. No .rpmsave or .rpmnew files are created either.
Steps To Reproduce- Install minimal CentOS 7.1
- Modify /etc/yum/yum-cron.conf
- Run "yum update yum" to upgrade from yum-3.4.3-125 to yum-3.4.3-132
- /etc/yum/yum-cron.conf has been replaced by default config without generating .rpmsave or .rpmnew files
Additional InformationIt looks like some yum-cron are also managed by yum which I assume they shouldn't be:

% rpm -ql yum | grep cron
/etc/cron.daily
/etc/cron.daily/0yum-daily.cron
/etc/cron.hourly
/etc/cron.hourly/0yum-hourly.cron
/etc/yum/yum-cron-hourly.conf
/etc/yum/yum-cron.conf

But they're also managed by yum-cron:

% rpm -ql yum-cron | grep cron
/etc/cron.daily/0yum-daily.cron
/etc/cron.hourly/0yum-hourly.cron
/etc/yum/yum-cron-hourly.conf
/etc/yum/yum-cron.conf

Looking at the spec file, the %files section for yum-cron correctly uses "noreplace":

%config(noreplace) %{_sysconfdir}/yum/yum-cron.conf
%config(noreplace) %{_sysconfdir}/yum/yum-cron-hourly.conf

but there is no mention of that in the base yum %files section which probably means it blindly overwrites the files.
TagsNo tags attached.
abrt_hash
URL

Relationships

related to 0012098 resolvedIssue Tracker Some file are packaged in both yum and yum-cron 

Activities

gsauthof

gsauthof

2015-12-30 11:21

reporter   ~0025217

I can confirm this issue. On multiple CentOS 7 boxes. Very annoying.
toracat

toracat

2015-12-30 19:24

manager   ~0025220

RH bugzilla:

https://bugzilla.redhat.com/show_bug.cgi?id=1293513
toracat

toracat

2017-01-03 16:19

manager   ~0028263

Fixed in CentOS 7.3.1611.

Issue History

Date Modified Username Field Change
2015-12-17 06:33 rickh New Issue
2015-12-30 11:21 gsauthof Note Added: 0025217
2015-12-30 19:24 toracat Note Added: 0025220
2015-12-30 19:24 toracat Status new => confirmed
2016-11-03 04:33 toracat Relationship added related to 0012098
2017-01-03 16:19 toracat Status confirmed => resolved
2017-01-03 16:19 toracat Resolution open => fixed
2017-01-03 16:19 toracat Note Added: 0028263